Bug 282881 - FEAT RHEL5.2: Kernel Symbols for Driver Update Program (mca.ko ia64)
FEAT RHEL5.2: Kernel Symbols for Driver Update Program (mca.ko ia64)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
Martin Jenner
:
Depends On: 232924
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 14:08 EDT by Keiichiro Tokunaga
Modified: 2013-07-04 19:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keiichiro Tokunaga 2007-09-07 14:08:11 EDT
We found a problem concerning kabi_whitelist when we trid to make a test 
module of MCA handler.

[root@RHEL5-ss3 TMP5.1]# /usr/bin/python ./abi_check.py
/usr/src/redhat/BUILD/FJ
SVmcadrv-RHEL5-1.1/obj/default/mca_recovery.ko
Red Hat Enterprise Linux 5.0 ABI
--------------------------------

Module:
/usr/src/redhat/BUILD/FJSVmcadrv-RHEL5-1.1/obj/default/mca_recovery.ko
Kernel: 2.6.18-41.el5
Whitelist: /usr/src/kernels/2.6.18-41.el5-ia64/kabi_whitelist

WARNING: The following symbols are used by your module
WARNING: and are not on the ABI whitelist.

symbol: ia64_mca_printk
symbol: ia64_mlogbuf_dump


Both ia64_mca_printk and ia64_mlogbuf_dump are introduced by the patch here, 
which are exported for use by a platform-specific MCA handler (which 
registered via ia64_reg_MCA_extension), but are not on the whitelist.

So this couple of symbols needs to be added to the whitelist, ex. the 
following changes are required:

[rhel5_arch_ia64_kernel_u1]
        __ia64_pal_call_static
+       ia64_mca_printk
+       ia64_mlogbuf_dump
Comment 1 Keiichiro Tokunaga 2007-09-07 16:15:19 EDT
A patch posted to rhkernel-list today.
Comment 2 Keiichiro Tokunaga 2007-09-26 11:43:44 EDT
Moving to 5.2.
Comment 9 Jon Masters 2008-03-27 12:42:51 EDT
Can we confirm this is in RHEL5.2. Kei, are you happy? I can see this in the CVS
head at the moment, but let's make sure it's cool with you before closing.

Jon.
Comment 10 Jon Masters 2008-03-27 13:11:49 EDT
Don, can you set this MODIFIED if you're happy with it?
Comment 11 Don Zickus 2008-03-27 13:35:41 EDT
in kernel-2.6.18-73.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 Keiichiro Tokunaga 2008-03-27 14:31:53 EDT
I have confirmed the symbols are in the recent whitelist (ia64) and I am OK with
either closing this bug or setting it VERIFIED.
Comment 15 errata-xmlrpc 2008-05-21 10:55:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.